Bug 132913 - Gnome Settings Daemon crashes on logging in as any user
Gnome Settings Daemon crashes on logging in as any user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-19 10:39 EDT by Dipu
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dipu 2004-09-19 10:39:25 EDT
Description of problem:

When logging on to Gnome in FC2 on an x86_64, it gives an error
message (given below) and either exists or continues without nautilus
displaying the icons

"There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not
work correctly.

The Settings Daemon restarted too many times.

The last error message was:

Child process did not give an error message, unknown failure occurred

GNOME will still try to restart the Settings Daemon next time you log in."

This happens every time I try to log in. 

Tried with a fresh install as well as with updates...no go.

The only thing I might be able to think of is the nvsound and nvidia
drivers which are installed.

How reproducible:

100%

Steps to Reproduce:
1. Log in as any user on FC2

Actual results:

It either gets stuck at gnome-panel or continues past giving the error
message quoted above....but no icons displayed on the desktop....or
improper icons displayed.

KDE however does not crash on this system.
Comment 1 4xz 2004-10-28 12:10:21 EDT
Tested and working workaround is : rm -Rf /tmp/orbit-$USER
Comment 2 Jonathan Blandford 2004-10-28 14:39:09 EDT
Huh?  How could that workaround work?  Is this an old user home
directory?  Can you log in in fail safe mode, run gnome-session, and
attach any obvious errors in the logs?
Comment 3 4xz 2004-10-28 16:11:53 EDT
I found this page while googling for an answer to my problem, which 
is exactly the same as your's. To me it occurred while starting a VNC 
session. This resolved my problem, I can log in to the gnome desktop 
again now, without any errors and with all my settings correct.

But to be honest I am kinda new to bugzilla-protocol (and linux as a 
whole for that matter). Just thought I'd post this here to help you 
out. I could have misinterpreted this bug, the use of bugzilla, or 
misposted this comment. In that case, sorry.. In case you want more 
info, please tell me what exactly, cause I want to help out/learn.
Comment 4 Matthew Miller 2005-04-26 11:07:12 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Ray Strode [halfline] 2005-05-11 17:33:40 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.